import { TemplateObject } from "logimat";
/**
 * Creates a new object.
 * Usage: createObject!(id: number);
 */
export declare const createObject: TemplateObject;
/**
 * Marks an object's variable as mutable (changable after compilation).
 * Usage: setMut!(objectId: number, variableName: string);
 */
export declare const setMut: TemplateObject;
/**
 * Get the value of an object's variable.
 * Usage: getVal!(objectId: number, variableName: string)
 */
export declare const getVal: TemplateObject;
/**
 * Set the value of an object's variable (during compilation). This must be used before a variable is marked as mutable.
 * Usage: setVal!(objectId: number, variableName: string, val: number);
 */
export declare const setVal: TemplateObject;
/**
 * Set the value of an object's variable on update (during runtime). This must be used after a variable is marked as mutable.
 * Usage: setValAction!(objectId: number, variableName: string, body: ActionBody);
 */
export declare const setValAction: TemplateObject;
/**
 * Create an action that sets the value of an object's variable (during runtime). This must be ran manually. This must be used after a variable is marked as mutable.
 * Usage: noRegisterSetValAction!(objectId: number, variableName: string, body: ActionBody, actionName: string);
 */
export declare const noRegisterSetValAction: TemplateObject;
/**
 * Add a behavior to an object.
 * Usage: useBehavior!(objectId: number, behaviorName: string);
 */
export declare const useBehavior: TemplateObject;
/**
 * Internal use only.
 */
export declare const useBehaviorPost: TemplateObject;
