export declare class Behavior {
    private readonly name;
    private parts;
    private postParts;
    private finalized;
    constructor(name: string);
    /**
     * Add a new part to the behavior.
     */
    add(val: (id: number, idx: number) => string): void;
    /**
     * Add a new post part to the behavior.
     */
    addPost(val: (id: number, idx: number) => string): void;
    /**
     * Mark the behavior as finalized.
     */
    finalize(): void;
    /**
     * Compiles the behavior for a specific object.
     */
    compile(id: number): string;
    /**
     * Compiles the post behavior for a specific object.
     */
    compilePost(id: number): string;
}
